---
title: "List popular articles"
url: "https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b/operations/getNewsArticlesPopular"
---

> Full API specification: https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b.md

# List popular articles

`GET` `/api/v1.1/news/articles/popular`

Operation ID: `getNewsArticlesPopular`

Returns the popular articles available on this layer. Set `lang` to `1` for English or `2` for Arabic.

## Query parameters

- `marketId` (integer, int32, optional) - Numeric market identifier (e.g. `1` = Tadawul / Saudi main market). Use `GET /api/v1.1/markets` to list valid values.
- `lang` (string, optional) - Response language: `1` = English, `2` = Arabic. Defaults to `1`.

## Responses

- `200` - Success

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: News & Editorial Layer API
  version: v1.1
servers:
  - url: https://api-sandbox.argaam.com
    description: Argaam API Gateway (Sandbox)
paths:
  /api/v1.1/news/articles/popular:
    get:
      tags:
        - News
      parameters:
        - name: marketId
          in: query
          schema:
            type: integer
            format: int32
            default: 3
          example: 3
          description: Numeric market identifier (e.g. `1` = Tadawul / Saudi main market).
            Use `GET /api/v1.1/markets` to list valid values.
        - name: lang
          in: query
          schema:
            type: string
            default: ar
          example: 1
          description: "Response language: `1` = English, `2` = Arabic. Defaults to `1`."
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/MostPopularArticle"
      summary: List popular articles
      description: |-
        Returns the popular articles available on this layer.

        Set `lang` to `1` for English or `2` for Arabic.
      operationId: getNewsArticlesPopular
security:
  - ApiKeyAuth: []
components:
  schemas:
    MostPopularArticle:
      type: object
      properties:
        articleID:
          type: integer
          format: int32
        languageID:
          type: integer
          format: int32
        language:
          type: string
          nullable: true
          readOnly: true
        title:
          type: string
          nullable: true
        link:
          type: string
          nullable: true
          readOnly: true
        isLinked:
          type: boolean
        linkedToURL:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
```
